Package com.collabnet.ce.soap60.webservices.integrationdata

# Class IntegrationDataAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.integrationdata.IntegrationDataAppSoap

All Implemented Interfaces:
  `IIntegrationDataAppSoap`

public class IntegrationDataAppSoap extends WebService implements IIntegrationDataAppSoap
Provides SOAP web service for the integration data application.

Change History

Version 6.1

- setData: Removed, use putData, instead.
- setDataByKey: Removed, use putDataByKey, instead.

Version 4.4: No changes.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegrationDataAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SoapNamedValues`
  `getData(String sessionId, String namespaceId, String objectId)`
  Gets data for an object from the integration data service
  `String`
  `getDataByKey(String sessionId, String namespaceId, String objectId, String key)`
  Gets data for an object from the integration data service
  `String`
  `getNamespaceId(String sessionId, String name)`
  Gets the key to an existing namespace.
  `void`
  `putData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues)`
  Adds or replaces a set of integration data values for the specified object.
  `void`
  `putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)`
  Adds or replaces a single integration data value for the specified object.
  `String`
  `registerNamespace(String sessionId, String name)`
  Registers a new namespace
  `void`
  `removeData(String sessionId, String namespaceId, String objectId, String[] keys)`
  Removes a set of integration data values from the specified object.
  `void`
  `removeDataByKey(String sessionId, String namespaceId, String objectId, String key)`
  Removes a single integration data value from the specified object.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegrationDataAppSoap

    public IntegrationDataAppSoap()

- ## Method Details

  - ### registerNamespace

    public String registerNamespace(String sessionId, String name) throws InvalidSessionFault, SystemFault, ObjectAlreadyExistsFault
    Registers a new namespace
    Specified by:
      `registerNamespace` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `name` - The name of the namespace to register
    Returns:
      Integration data namespace id
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `ObjectAlreadyExistsFault` - when the specified name already exists
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.1

  - ### getNamespaceId

    public String getNamespaceId(String sessionId, String name) throws InvalidSessionFault, SystemFault, NoSuchObjectFault
    Gets the key to an existing namespace.
    Specified by:
      `getNamespaceId` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `name` - The name of the namespace to get
    Returns:
      Integration data namespace id
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the specified name doesn't exist.
      `SystemFault` - when an unexpected system error occurs.
    Since:
      4.1

  - ### putData

    public void putData(String sessionId, String namespaceId, String objectId, SoapNamedValues namedValues) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Adds or replaces a set of integration data values for the specified object.
    Specified by:
      `putData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `namedValues` - Key value pairs of data to associate
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
    Since:
      4.3-HOTFIX1

  - ### putDataByKey

    public void putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Adds or replaces a single integration data value for the specified object.
    Specified by:
      `putDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `key` - The key of the piece of data to store
      `value` - The value to store
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
    Since:
      4.3-HOTFIX1

  - ### removeData

    public void removeData(String sessionId, String namespaceId, String objectId, String[] keys) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Removes a set of integration data values from the specified object.
    Specified by:
      `removeData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `keys` - Integration data keys (and associated values) to remove.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
    Since:
      4.3-HOTFIX1

  - ### removeDataByKey

    public void removeDataByKey(String sessionId, String namespaceId, String objectId, String key) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Removes a single integration data value from the specified object.
    Specified by:
      `removeDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to store data under
      `objectId` - The object to associate the data with
      `key` - Integration data key (and associated value) to remove.
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to store data on the object
    Since:
      4.3-HOTFIX1

  - ### getData

    public SoapNamedValues getData(String sessionId, String namespaceId, String objectId) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Gets data for an object from the integration data service
    Specified by:
      `getData` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to get data under
      `objectId` - The object to get the data for
    Returns:
      A SoapNamedValues collection of key/value pair stored data
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to get data on the object
    Since:
      4.1

  - ### getDataByKey

    public String getDataByKey(String sessionId, String namespaceId, String objectId, String key) throws InvalidSessionFault, SystemFault, NoSuchObjectFault, PermissionDeniedFault
    Gets data for an object from the integration data service
    Specified by:
      `getDataByKey` in interface `IIntegrationDataAppSoap`
    Parameters:
      `sessionId` - SOAP session id.
      `namespaceId` - The namespace to get data under
      `objectId` - The object to get the data for
      `key` - The key of the piece of data to retrieve
    Returns:
      The value of the stored piece of data
    Throws:
      `InvalidSessionFault` - when the sessionId is invalid.
      `NoSuchObjectFault` - when the object id doesn't exist
      `SystemFault` - when an unexpected system error occurs.
      `PermissionDeniedFault` - when the user doesn't have permission to get data on the object
    Since:
      4.3